<?php
include_once '../controllers/MarcaController.php';
$marca = new MarcaController();

if (isset($_POST['action'])) {
    $action = $_POST['action'];
} else {
    throw new Exception('No se especificó ninguna acción');
}

switch ($action) {
    case 'getMarcas':
        $marca->getMarcas();
        break;
    case 'addMarca':
        $marca->addMarca();
        break;
    case 'getMarca':
        $marca->getMarca();
        break;
    case 'updateMarca':
        $marca->updateMarca();
        break;
    case 'deleteMarca':
        $marca->deactivateMarca();
        break;
    case 'activateMarca':
        $marca->activateMarca();
        break;
    default:
        echo json_encode(['status' => 'error', 'message' => 'Acción no válida']);
}